ubuntu/+source/python-qt4:debian/wheezy

Last commit made on 2012-07-25
Get this branch:
git clone -b debian/wheezy https://git.launchpad.net/ubuntu/+source/python-qt4
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/wheezy
Repository:
lp:ubuntu/+source/python-qt4

Recent commits

b2b2371... by Scott Kitterman on 2012-07-24

Import patches-unapplied version 4.9.3-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 55d9312afb567f5a6f6c6a6d5a5db2d6cc128730

New changelog entries:
  * Add -N pyqt4-dev-tools to the dh_python3 invocation so dh_pyton3 will
    leave pyqt4-dev-tools alone and not rewrite it's shebang to
    /usr/bin/python3 (Closes: 682623)

55d9312... by Scott Kitterman on 2012-07-14

Import patches-unapplied version 4.9.3-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0d9f9bfa0f6f67c3fd4555f5b3576ff272e533b7

New changelog entries:
  * Add debian/patches/pyuic_custom_widget.diff from upstream to fix custom
    widget detection and prevent other packages from FTBFS (Closes: #680837)

0d9f9bf... by Scott Kitterman on 2012-07-05

Import patches-unapplied version 4.9.3-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f5eac8a7b36cb164374185f54d57ed3687759956

New changelog entries:
  * Revert dropping of python:Provides for python-qt4 (Closes: #679819)
    - Needed by python-avogadro

f5eac8a... by Scott Kitterman on 2012-06-24

Import patches-unapplied version 4.9.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 291daa5e64514a5e694a7c4e77ff21f9b1e125b4

New changelog entries:
  * New upstream release
    - Bump minimum sip4 build-depends requirement to 4.13.3
    - Refresh patches and adapt debian/patches/fix_qthelp_ftbfs.diff to
      upstream configure.py changes
    - Drop debian/patches/dbus.patch - originally backported from upstream
    - Drop debian/patches/fix_qthelp_ftbfs.diff and
      fix_the_QAssitant_ftbfs.diff - incorporated upstream
    - Update debian/copyright
  * Remove Suggests on non-existant python-phonon-dbg and python3-
    phonon-dbg packages
  * Drop hard coded depends on python-opengl in python-qt4-gl, not
    needed
  * Add new python3-pyqt4.qtopengl and python3-pyqt4.qtopengl-dbg
    packages (Closes: #673925)
    - Uncomment package in debian/control
    - Correct -dbg package name in debian/rules
    - Add debian/python3-pyqt4.gtopengl.install
  * Add support for dpkg-buildflags in debian/rules
    - Drop special optimization for GCC 4.2
    - Add build-depends on dpkg-dev (>= 1.16.1~)
  * Correct DBus to read D-Bus in package descriptions
  * Drop unneeded python:Provides

291daa5... by Scott Kitterman on 2012-05-21

Import patches-unapplied version 4.9.1-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 304f0447536660abfcc2ea02f712d536015a036c

New changelog entries:
  * Upload to Unstable (Closes: #673846)
  * Update python-all-dev and python3-all-dev build-depend version minimums
    to account for introduction of --no-dbg-cleaning

304f044... by Scott Kitterman on 2012-05-03

Import patches-unapplied version 4.9.1-4 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 1280e158337a0ec2ad3965496a8492c25d2c59f8

New changelog entries:
  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

1280e15... by Scott Kitterman on 2012-05-03

Import patches-unapplied version 4.9.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ebc0030e385ead90a3d5215f05f60ddffc4dc85d

New changelog entries:
  * Upload to unstable for qt4-x11 multiarch transition
  * Drop python3-pyqt4-dbus for upload to unstable since the required
    dbus-python version is not available in unstable yet
  * Fix dbus related PyQt application crashes (LP: #334757)
    - Add debian/patches/dbus.patch from upstream
  * Do not compress .qml, .xpm, .mng, .qss., and .xbel file types as well as
    examples/animation/stickman/animations/chilling so examples in
    python4-qt-doc will run (Closes: #657205, #657211)
  * Add debian/README.Debian to python4-qt-doc to explain how to run examples
  * Fix debian/rules PYTHONS definition to include all supported python3
    versions
  * Fix debian/copyright to mention both GPL versions 2 and 3
    (Closes: #602721) (LP: #955004)
  * Bump standards version to 3.9.3 without further change

ebc0030... by Scott Kitterman on 2012-02-12

Import patches-unapplied version 4.9.1-2 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 48a5ce8903cbd5a94d98a02e01b9acb2de2a8caa

New changelog entries:
  * Adjust install path in debian/python-qt4.install for multiarched qt4-x11
    and bump minimum build-dep version to 4:4.8.0-1~
  * Use python3-dbus.mainloop.qt/dbg binary names instead of
    python3-pyqt4-dbus since that matches Python policy, last experimental
    upload was in error
    - Remove duplicate files from the new dbus packages in debian/rules
  * Build python3-dbus.mainloop.qt/-dbg packages with experimental python3
    port of dbus-python
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python3-dbus.mainloop.qt-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it

48a5ce8... by Scott Kitterman on 2012-02-12

Import patches-unapplied version 4.9.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 347272b60a777cab8c1ccd34601d4cce50ad39eb

New changelog entries:
  * Drop experimental options (multiarch qt4-x11 path and python3-pyqt4-dbus)
    for upload to unstable
  * New upstream release
    - Drop debian/patches/py3-fixes.patch, upstream fixed the problem in a
      slightly different way
    - Drop debian/patches/kubuntu_arm_fix.diff, fixed upstream
  * Install NEWS file as upstream changelog since that is what it is
  * Rebuild sphinx based html docs from rst files
    - Add python-sphinx (>= 1.0.7+dfsg-1~) to build-depends
    - Add sphinxdoc:Depends to python-qt4-doc depends
    - Add call to sphinx-build and dh_sphinxdoc for arch all packages
  * Drop build-depends on qtmobility-dev, pointless right now since the build
    system can not find its headers

347272b... by Scott Kitterman on 2012-01-27

Import patches-unapplied version 4.9-3 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 76f71a2a07521229b6f2598f4bb712c61fcad400

New changelog entries:
  [ Scott Kitterman ]
  * Add myself to uploaders
  * Add missing build-depends on python-dbus-dev, qtmobility-dev and
    libicu-dev
  * Feedback changes from Ubuntu
  * Adjust install path in debian/python-qt4.install for multiarched qt4-x11
    and bump minimum build-dep version to 4:4.8.0-1~
  * Use dh_sip3 for generating SIP depends instead of hard coded version now
    that dh_sip3 is available
    - Add dh_sip3 in debian/rules
  * Build python3-dbus.mainloop.qt/-dbg packages now that python3 port of
    dbus-python is availalble
    - Add packages to debian/control
    - Add python3-dbus and python3-dbus-dbg to build-depends
    - Adjust debian/rules to support python-pyqt4-dbus-dbg
    - Provide path to dbus-python.h using --dbus option in configure since in
      Python 3, the build system can't find it
  [ Barry Warsaw ]
  * Port dbus/dbus.cpp to work with Python3 as well and add as
    debian/patches/py3-fixes.patch
  [ Jonathan Riddell ]
  * Add kubuntu_arm_fix.diff to fix qpainterpath.sip use of 'double'
    which causes ARM to fail to build with Qt 4.8